(function() {
    tinymce.PluginManager.add('imaj_ekleme_butonu', function( editor, url ) {
        editor.addButton( 'imaj_ekleme_butonu', {
            icon: 'shortcodes-icon',
            type: 'menubutton',
            menu: [
                {
					text: 'Buttonnew',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Buttonnew',
							body: [
								{
									type: 'listbox',
									name: 'ButtonColor',
									label: 'Color',
									'values': [
										{text: 'Kırmızı', value: 'red'},
										{text: 'Siyah', value: 'black'},
										{text: 'Yeşil', value: 'green'},
										{text: 'Açık Mavi', value: 'blue'},
										{text: 'Koyu Mavi', value: 'darkblue'},
									]
								},
								{
									type: 'textbox',
									name: 'ButtonLink',
									label: 'Link',
									minWidth: 300,
									value: 'http://'
								},
								{
									type: 'textbox',
									name: 'ButtonText',
									label: 'Text',
									value: ''
								},
								{
									type: 'textbox',
									name: 'ButtonIcon',
									label: 'Icon (use full Font Awesome name):',
									value: ''
								},
								{
									type: 'checkbox',
									name: 'ButtonTarget',
									label: 'Open link in a new window/tab',
									value: 'blank',
								}

							],
							onsubmit: function( e ) {
								editor.insertContent( '[buttonnew color="' + e.data.ButtonColor + '" link="' + e.data.ButtonLink + '" icon="' + e.data.ButtonIcon + '" target="' + e.data.ButtonTarget + '"]'+ e.data.ButtonText +'[/buttonnew]');
							}
						});
					}
				},
                {
					text: 'Bilgi Kutusu',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Bilgi Kutusu',
							body: [
								{
									type: 'listbox',
									name: 'uck_infoType',
									label: 'Stil',
									'values': [
										{text: 'Bilgi', value: 'info'},
									]
								},
                                {
									type: 'textbox',
									name: 'uck_infoText',
									label: 'İçerik',
                                    multiline: true,
									minWidth: 300,
									minHeight: 100,
									value: ''
								}

							],
							onsubmit: function( e ) {
								editor.insertContent( '[box type="' + e.data.uck_infoType + '"]'+ e.data.uck_infoText +'[/box]');
							}
						});
					}
				},
				{
					text: 'Vurgula (Highlight)',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Cümle Vurgulama',
							body: [
								{
									type: 'listbox',
									name: 'uck_highColor',
									label: 'Renk',
									'values': [
										{text: 'Kırmızı', value: 'kırmızı'},
										{text: 'Sarı', value: 'sarı'},
									]
								},
                                {
									type: 'textbox',
									name: 'uck_highText',
									label: 'İçerik',
                                    multiline: true,
									minWidth: 300,
									minHeight: 100,
									value: 'İçerik'
								}

							],
							onsubmit: function( e ) {
								editor.insertContent( '[vurgula renk="' + e.data.uck_highColor + '"]'+ e.data.uck_highText +'[/vurgula]');
							}
						});
					}
				},
				{
					text: 'Toggle',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Toggle',
							body: [
                                {
									type: 'textbox',
									name: 'uck_toggleTitle',
									label: 'Başlık',
                                    multiline: true,
									minWidth: 300,
									minHeight: 100,
									value: 'Başlık'
								}

							],
							onsubmit: function( e ) {
								editor.insertContent( '[toggle title="' + e.data.uck_toggleTitle + '"]İçerik[/toggle]');
							}
						});
					}
				},
				{
					text: 'Tab Menü',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Tab Menü',
							width: 350,
							height: 180,
							body: [
								{
									type: 'textbox',
									name: 'uck_tabTitle',
									label: 'Başlık',
									value: 'Başlık 1'
								},
								{
									type: 'textbox',
									name: 'uck_tabTitle1',
									label: 'Başlık',
									value: 'Başlık 2'
								},
								{
									type: 'textbox',
									name: 'uck_tabTitle2',
									label: 'Başlık',
									value: 'Başlık 3'
								},
							],					

							onsubmit: function( e ) {
								editor.insertContent( '\
								[tabgroup]<br />\
									[tab title="'+ e.data.uck_tabTitle +'"] İçerik 1 [/tab]<br />\
									[tab title="'+ e.data.uck_tabTitle1 +'"] İçerik 2 [/tab]<br />\
									[tab title="'+ e.data.uck_tabTitle2 +'"] İçerik 3 [/tab]<br />\
								[/tabgroup]');
							}
						},
						{
        					plugin_url : url
						});
					}
				},	
                {
					text: 'Google Harita',
					onclick: function() {
						editor.windowManager.open( {
							title: 'Google Harita',
							body: [
								{
									type: 'textbox',
									name: 'mapLink',
									label: 'Link',
									minWidth: 300,
									value: 'http://'
								}
							],
							onsubmit: function( e ) {
								editor.insertContent( '[googlemap src="'+ e.data.mapLink +'"]');
							}
						});
					}
				}
            ]
        });
    });
})();