<?php
add_action('admin_head', 'imaj_ekleme_butonu_tiny');
function imaj_ekleme_butonu_tiny() {
    global $typenow;
    if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) {
    return;
    }
    if( ! in_array( $typenow, array( 'post', 'page' ) ) )
        return;
    if ( get_user_option('rich_editing') == 'true') {
        add_filter("mce_external_plugins", "imaj_ekleme_butonu_tinymce");
        add_filter('mce_buttons', 'imaj_ekleme_butonu_kaydet');
    }
}
function imaj_ekleme_butonu_tinymce($plugin_array) {
    $plugin_array['imaj_ekleme_butonu'] = get_bloginfo('stylesheet_directory').'/inc/shortcodes/popup-button.js';
    return $plugin_array;
}
function uck_shortcodes_mce_css() {
	wp_enqueue_style('uck-shortcodes-admin-css',  get_template_directory_uri().'/inc/shortcodes/css/shortcodes.css' );
}
add_action( 'admin_enqueue_scripts', 'uck_shortcodes_mce_css' );
function imaj_ekleme_butonu_kaydet($buttons) {
   array_push($buttons, "imaj_ekleme_butonu");
   return $buttons;
}

/* ------------------------------------------------------------------------- *
 *  Button
/* ------------------------------------------------------------------------- */
function shortcode_button( $atts, $content = null ) {
	$color = 'gray';
	$link  = $button_target = $align = $icon   = '';
	
    if( is_array( $atts ) ) extract($atts);

	if( !empty( $target ) && $target == 'true' ) $button_target = ' target="_blank"';
	if( !empty( $icon ) )   $icon   = '<i class="fa '.$icon.'"></i>';
	
	$out = '<a href="'.$link.'"'.$button_target.' class="btn '.$color.' '.$align.'">'. $icon . do_shortcode($content). '</a>';
    return $out;
}
add_shortcode('buttonnew', 'shortcode_button');
/* ------------------------------------------------------------------------- *
 *  Google Map
/* ------------------------------------------------------------------------- */
function googlemap_function($atts, $content = null) {
   extract(shortcode_atts(array(
      "width" => '100%',
      "height" => '480',
      "src" => ''
   ), $atts));
   return '<p><iframe class="googlemap" width="'.$width.'" height="'.$height.'" src="'.$src.'&output=embed" ></iframe></p>';
}
add_shortcode("googlemap", "googlemap_function");
/* ------------------------------------------------------------------------- *
 *  Kutu
/* ------------------------------------------------------------------------- */
function shortcode_box( $atts, $content = null ) {
	$type = 'info';
	
    if( is_array( $atts ) ) extract($atts);
	
	$out = '<div id="'.$type.'"><a href="#info.span" class="note__close"><i class="fa fa-times"></i></a><span>'. do_shortcode($content). '</span></div>';
    return $out;
}
add_shortcode('box', 'shortcode_box');
/* ------------------------------------------------------------------------- *
 *  Toggle
/* ------------------------------------------------------------------------- */
 function toggle_shortcode( $atts, $content = null ) {
 extract( shortcode_atts(
 array(
   'title' => 'Click To Open',
 ),
 $atts ) );
 return '<div class="toggle-full"><h3 class="trigger"><a href="#">'. $title .'</a></h3><div class="toggle_container">' . do_shortcode($content) . '</div></div>';
 }
 add_shortcode('toggle', 'toggle_shortcode');
/* ------------------------------------------------------------------------- *
 *  Tab Menu
/* ------------------------------------------------------------------------- */
 	function ss_framework_content_tabgroup_sc( $atts, $content = null ) {
		if( !isset( $GLOBALS['tabs_groups'] ) )
			$GLOBALS['tabs_groups'] = 0;
			
		$GLOBALS['tabs_groups']++;
		$GLOBALS['tab_count'] = 0;
		$tabs_count = 1;
		do_shortcode( $content );
		if( is_array( $GLOBALS['tabs'] ) ) {
			foreach( $GLOBALS['tabs'] as $tab ) {
				$tabs[] = '<li><a href="#tab-' . $GLOBALS['tabs_groups'] . '-' . $tabs_count . '">' . $tab['title'] . '</a></li>';
				$panes[] = '<div id="tab-' . $GLOBALS['tabs_groups'] . '-' . $tabs_count++ . '" class="tab-content">' . do_shortcode( $tab['content'] ) . '</div>';
			}
			$return = "\n". '<ul class="tabs-nav">' . implode( "\n", $tabs ) . '</ul>' . "\n" . '<div class="tabs-container">' . implode( "\n", $panes ) . '</div>' . "\n";
		}
		
		$GLOBALS['tabs'] = null;
		return $return;
	}
add_shortcode('tabgroup', 'ss_framework_content_tabgroup_sc');
	// Single tab
	function ss_framework_content_tab_sc( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => ''
		), $atts) );
		$i = $GLOBALS['tab_count'];
		$GLOBALS['tabs'][$i] = array( 'title' => sprintf( $title, $GLOBALS['tab_count'] ), 'content' => $content );
		$GLOBALS['tab_count']++;
	}
	add_shortcode('tab', 'ss_framework_content_tab_sc');
 /* ------------------------------------------------------------------------- *
 *  Vurgula
/* ------------------------------------------------------------------------- */
add_shortcode('vurgula', 'shortcode_highlight');
	function shortcode_highlight($atts, $content = null) {
		$atts = shortcode_atts(
			array(
				'renk' => 'sarı',
				'renk' => 'kırmızı',
			), $atts);
			
			if($atts['renk'] == 'kırmızı') {
				return '<span class="highlight2">' .do_shortcode($content). '</span>';
			} else {
				return '<span class="highlight1">' .do_shortcode($content). '</span>';
			}

	}	