<?php
add_action('widgets_init', 'pyre_anasayfa_1col_widgets');

function pyre_anasayfa_1col_widgets()
{
	register_widget('pyre_anasayfa_1col_widget');
}

class pyre_anasayfa_1col_widget extends WP_Widget {
	
	function pyre_anasayfa_1col_widget()
	{
		$widget_ops = array('classname' => 'pyre_anasayfa_1col', 'description' => 'Tek sütunlu son yazılar bileşeni');

		$control_ops = array('id_base' => 'pyre_anasayfa_1col_widget');

		$this->WP_Widget('pyre_anasayfa_1col_widget', 'UCK: Tek Sütünlu Yazılar Bileşeni', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$title = $instance['title'];
		$post_type = 'all';
		$categories = $instance['categories'];
		$posts = $instance['posts'];
		$images = true;
		$rating = true;
		$show_excerpt = isset($instance['show_excerpt']) ? 'true' : 'false';
		
		echo $before_widget;
		?>
		
		<?php
		$post_types = get_post_types();
		unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
		
		if($post_type == 'all') {
			$post_type_array = $post_types;
		} else {
			$post_type_array = $post_type;
		}
		?>

		<div class="widget-post">
		
			

			<div class="post-arc">
			<div class="widget-title"><span></span><h3><a href="<?php echo get_category_link($categories); ?>"><?php echo $title; ?></a>
			</h3><a class="viewall" href="<?php echo get_category_link($categories); ?>">Hepsini Gör</a></div>

			<?php
			$recent_posts = new WP_Query(array(
				'showposts' => $posts,
				'cat' => $categories,
			));
			?>
			<?php
			$big_count = round($posts / 4);
			if(!$big_count) { $big_count = 1; }
			?>
			<?php $counter = 1; while($recent_posts->have_posts()): $recent_posts->the_post(); ?>
			<?php if($counter <= $big_count): ?>
			<?php if($counter == $big_count) { $last = 'block-item-big-last'; } else { $last = ''; }?>
			<div class="block-item-big">
				<?php if($images && has_post_thumbnail()): ?>
				<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'home'); ?>
				<figure>
						<div class="block-image">
							<div class="blog-catcom blog-comment">
								<a href="<?php the_permalink(); ?>#comments"><i class="fa fa-comment-o"></i> <?php comments_number( '0', '1', '%' ); ?></a> 
							</div>
							<div class="blog-category blog-catcom">
								<?php the_category(', '); ?>
							</div>
							<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='397' height='210' /></a>
						</div>
					</figure>
					<?php else: ?>
					<figure>
						<div class="block-image">
							<div class="blog-catcom blog-comment">
								<a href="<?php the_permalink(); ?>#comments"><i class="fa fa-comment-o"></i> <?php comments_number( '0', '1', '%' ); ?></a> 
							</div>
							<div class="blog-category blog-catcom">
								<?php the_category(', '); ?>
							</div>
							<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo ot_get_option('no-images'); ?>" alt="<?php the_title(); ?>" width='397' height='210' /></a>
						</div>
					</figure>
					<?php endif; ?>
				<div class="block-big-bottom">
				<div class="post-header">
						<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
						
						<div class="post-meta">
							<i class="fa fa-user"></i> <span class="entry-author"><span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>
							
							<i class="fa fa-calendar"></i> <span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"> <?php the_time('F j, Y'); ?></time></span></span>
							<span class="like"><?php echo getPostLikeLink( get_the_ID() ); ?></span>
						</div>
					</div>
				<?php if($show_excerpt == 'true'): ?>
					<?php if (ot_get_option('excerpt-length') != '0'): ?>
						<p><?php the_excerpt(); ?></p>
					<?php endif; ?>
				<?php endif; ?>
				</div>
			</div>
			<?php else: ?>
		
			<div class="block-item-small">
				<?php if($images && has_post_thumbnail()): ?>
				<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'sidebar'); ?>
				<div class="block-image"><a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='95' height='63' /></a></div>
				<?php else: ?>
				<div class="block-image"><a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php bloginfo('template_directory'); ?>/images/thumbnails.png" alt="<?php the_title(); ?>" width='95' height='63' /></a></div>
				<?php endif; ?>
				<div class="block-small-right">
				<h2><a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><?php the_title(); ?></a></h2>
				<div class="post-meta"><i class="fa fa-clock-o"></i> <?php the_time('F j, Y'); ?></div> 
				</div>
			</div>
			<?php endif; ?>
			<?php $counter++; endwhile; ?>
			
		</div>
		</div>

<div class="clear"></div>
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['title'] = $new_instance['title'];
		$instance['post_type'] = 'all';
		$instance['categories'] = $new_instance['categories'];
		$instance['posts'] = $new_instance['posts'];
		$instance['show_images'] = true;
		$instance['show_rating'] = true;
		$instance['show_excerpt'] = $new_instance['show_excerpt'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => 'Son Yazılar', 'post_type' => 'all', 'categories' => 'all', 'posts' => 4, 'show_excerpt' => null);
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Başlık:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('categories'); ?>">Kategori Seçim:</label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>Tüm Kategoriler</option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('posts'); ?>">Yazı Sayısı:</label>
			<input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_excerpt'], 'on'); ?> id="<?php echo $this->get_field_id('show_excerpt'); ?>" name="<?php echo $this->get_field_name('show_excerpt'); ?>" /> 
			<label for="<?php echo $this->get_field_id('show_excerpt'); ?>">Açıklamayı Göster</label>
		</p>
	<?php }
}
