<?php



add_action('widgets_init', 'pyre_tabs_load_widgets');

function pyre_tabs_load_widgets()
{
	register_widget('Pyre_Tabs_Widget');
}

class Pyre_Tabs_Widget extends WP_Widget {
	
	function Pyre_Tabs_Widget()
	{
		$widget_ops = array('classname' => 'pyre_tabs', 'description' => 'Son Yazılar, Popüler Yazılar ve Etiketlerin bulunduğu Tab Menü Bileşeni');

		$control_ops = array('id_base' => 'pyre_tabs-widget');

		$this->WP_Widget('pyre_tabs-widget', 'UCK Theme: Tab Menu Bileşeni', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$posts1 = $instance['posts1'];
		$posts = $instance['posts'];
		$tags_count = $instance['tags'];
		$show_recent_posts1 = isset($instance['show_recent_posts1']) ? 'true' : 'false';
		$show_popular_posts = isset($instance['show_popular_posts']) ? 'true' : 'false';
		$show_tags = isset($instance['show_tags']) ? 'true' : 'false';
		
		echo $before_widget;
		
		if($title) {
			echo $before_title.$title.$after_title;
		}		
		?>
		<!-- BEGIN WIDGET -->
		<div id="tab-menu">
			
			<div class="tab-menu">
			<ul>

				<?php if($show_recent_posts1 == 'true'): ?><li><a title="Son Yazılar" href="#"><i class="fa fa-th-list"></i></a></li><?php endif; ?>
				<?php if($show_popular_posts == 'true'): ?><li><a title="Populer" href="#"><i class="fa fa-heart"></i></a></li><?php endif; ?>
				<?php if($show_tags == 'true'): ?><li><a title="Tag" href="#"><i class="fa fa-tag"></i></a></li><?php endif; ?>

			</ul>
			</div>
			
			<div class="tabs_container">
			
				<?php if($show_recent_posts1 == 'true'): ?>
				<div id="tab1" class="tabmenuContent">
					<?php
					$recent_posts1 = new WP_Query('showposts='.$posts1.'');
					if($recent_posts1->have_posts()): ?>
						<?php while($recent_posts1->have_posts()): $recent_posts1->the_post(); ?>
								<div class="tabmenu-tek">
							<?php if(has_post_thumbnail()): ?>
							<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'sidebar'); ?>
									<div class="tabmenu-image">
										<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='96' height='64' /></a><?php echo $icon; ?>
									</div>
									<?php else: ?>
									<div class="tabmenu-image">
										<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo ot_get_option('no-images'); ?>" alt="<?php the_title(); ?>" width='96' height='64' /></a><?php echo $icon; ?>
									</div>
									<?php endif; ?>		
									<div class="baslik">
										<h3>
											<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
												<?php  
												title. $short_title = mb_substr(the_title('','',FALSE),0, 40);
												echo $short_title;
												if (strlen($short_title) > 39){
												echo '..';
												}
												?>
											</a>
										</h3>
									</div>
									<div class="tabmenu-tek-alt">
										 <span class="like"><?php echo getPostLikeLink( get_the_ID() ); ?></span>
										 <span class="tarih"><?php printf( _x( '%s önce', '%s = human-readable time difference', 'uck' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); ?></span>
									</div>
								</div>
						<?php endwhile; ?>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<?php if($show_popular_posts == 'true'): ?>
				<div id="tab2" class="tabmenuContent">
					<?php
					$popular_posts = new WP_Query('showposts='.$posts.'&orderby=comment_count&order=DESC');
					if($popular_posts->have_posts()): ?>
						<?php while($popular_posts->have_posts()): $popular_posts->the_post(); ?>
						<div class="tabmenu-tek">
							<?php if(has_post_thumbnail()): ?>
							<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'sidebar'); ?>
									<div class="tabmenu-image">
										<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='96' height='64' /></a><?php echo $icon; ?>
									</div>
									<?php else: ?>
									<div class="tabmenu-image">
										<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php bloginfo('template_directory'); ?>/images/thumbnails.png" alt="<?php the_title(); ?>" width='96' height='64' /></a><?php echo $icon; ?>
									</div>
									<?php endif; ?>		
									<div class="baslik">
										<h3>
											<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
												<?php  
												title. $short_title = mb_substr(the_title('','',FALSE),0, 40);
												echo $short_title;
												if (strlen($short_title) > 39){
												echo '..';
												}
												?>
											</a>
										</h3>
									</div>
									<div class="tabmenu-tek-alt">
										 <span class="yorum"><a href="<?php the_permalink(); ?>#comments"><?php comments_number( '0 yorum', '1 yorum', '% yorum' ); ?></a></span>
										 <span class="tarih"><?php printf( _x( '%s önce', '%s = human-readable time difference', 'uck' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); ?></span>
									</div>
								</div>
						<?php endwhile; ?>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<?php if($show_tags == 'true'): ?>
				<div id="tab3" class="tabmenuContent">
					<div class="tagcloud">
						<?php
						$tags = get_tags(array('orderby' => 'count', 'order' => 'DESC', 'number' => $tags_count));
						foreach ((array) $tags as $tag) {
						?>
						<?php echo '<a href="' . get_tag_link ($tag->term_id) . '" rel="tag">' . $tag->name . '</a>';	?>
						<?php } ?>
					</div>

				</div>
				<?php endif; ?>
				
			</div>
		
		</div>
		<!-- END WIDGET -->
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['posts1'] = $new_instance['posts1'];
		$instance['posts'] = $new_instance['posts'];
		$instance['tags'] = $new_instance['tags'];
		$instance['show_recent_posts1'] = $new_instance['show_recent_posts1'];
		$instance['show_popular_posts'] = $new_instance['show_popular_posts'];
		$instance['show_tags'] = $new_instance['show_tags'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('posts1' => 5, 'posts' => '5', 'tags' => 20, 'show_recent_posts1' => 'on', 'show_popular_posts' => 'on', 'show_tags' =>  'on');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		<p>
			<label for="<?php echo $this->get_field_id('posts1'); ?>">Son Yazı Sayısı:</label>
			<input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('posts1'); ?>" name="<?php echo $this->get_field_name('posts1'); ?>" value="<?php echo $instance['posts1']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('posts'); ?>">Popüler Yazı Sayısı:</label>
			<input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('tags'); ?>">Etiket Sayısı:</label>
			<input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('tags'); ?>" name="<?php echo $this->get_field_name('tags'); ?>" value="<?php echo $instance['tags']; ?>" />
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_recent_posts1'], 'on'); ?> id="<?php echo $this->get_field_id('show_recent_posts1'); ?>" name="<?php echo $this->get_field_name('show_recent_posts1'); ?>" /> 
			<label for="<?php echo $this->get_field_id('show_recent_posts1'); ?>">Son Yazıları Göster</label>
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_popular_posts'], 'on'); ?> id="<?php echo $this->get_field_id('show_popular_posts'); ?>" name="<?php echo $this->get_field_name('show_popular_posts'); ?>" /> 
			<label for="<?php echo $this->get_field_id('show_popular_posts'); ?>">Popüler Yazıları Göster</label>
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_tags'], 'on'); ?> id="<?php echo $this->get_field_id('show_tags'); ?>" name="<?php echo $this->get_field_name('show_tags'); ?>" /> 
			<label for="<?php echo $this->get_field_id('show_tags'); ?>">Etiketleri Göster</label>
		</p>
	<?php }
}