<?php
  /**
 * Add function to widgets_init that'll load our widget.
 */
add_action('widgets_init','uck_ad_widgets');

function uck_ad_widgets(){
	register_widget("uck_ad_widget");
}

/**
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 */
class uck_ad_widget extends WP_widget{
	
	/**
	 * Widget setup.
	 */
	function uck_ad_widget(){
		
		/* Widget settings. */
		$widget_ops = array('classname' => 'widget_ad', 'description' => '300x300px boyutlarında reklam alanı');
		
		/* Create the widget. */
		$this->WP_Widget('uck_ad_widget', 'UCK: Reklam 300x300px', $widget_ops);		
	}
	
	/**
	 *display the widget on the screen.
	 */
	function widget($args,$instance){
		extract($args);
			$title = apply_filters('widget_title', $instance['title'] );
			$link = $instance['link'];
			$image = $instance['image'];
			
			echo $before_widget;
			
			if ( $title )
			echo $before_title . $title . $after_title;
			
			if($image) { ?>	

						<a href="<?php echo $link; ?>"><img src="<?php echo $image; ?>" /></a>

	  <?php }
			echo $after_widget;
	}
	
	/**
	 * update widget settings
	 */
	function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['link'] = $new_instance['link'];
		$instance['image'] = $new_instance['image'];
		
		return $instance;
	}
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form($instance){
		$defaults = array('title' => 'Sponsor', 'link' => '', 'image' => '');
		$instance = wp_parse_args((array) $instance, $defaults);
		?>	
		
		<p>			
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'uck') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('link'); ?>"><?php _e('Link Url:', 'uck') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" value="<?php echo $instance['link']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('image'); ?>"><?php _e('Image URL:', 'uck') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('image'); ?>" name="<?php echo $this->get_field_name('image'); ?>" value="<?php echo $instance['image']; ?>" />
		</p>
		<?php
	}
}
?>