<?php
add_action( 'widgets_init', 'uck_subscribe_widgets' );
function uck_subscribe_widgets() {
	register_widget('uck_subscribe_widget');
}

class uck_subscribe_widget extends WP_Widget {

	function uck_subscribe_widget() {
		$widget_ops = array( 'classname' => 'widget_subscribe', 'description' => 'Displays RSS Email Subscription Form' );
		$this->WP_Widget( 'uck_subscribe_widget', 'UCK: RSS Email ile Abone Ol', $widget_ops);
	}
	
	function form($instance) {
	
		
		$instance = wp_parse_args( (array) $instance, array('title' => 'Abone Olun', 'subscribe_text' => 'Yazılarımızı fırından çıkar çıkmaz e-posta adresinde görmek ister misiniz?', 'feedid' => '') );

        $title = esc_attr($instance['title']);
		$feedid = $instance['feedid'];

?>
		<p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
               <?php _e('Title', 'uck'); ?>
            </label>			
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'subscribe_text' ); ?>"><?php _e('Text:', 'uck'); ?></label>
			<textarea style="height:200px;" class="widefat" id="<?php echo $this->get_field_id( 'subscribe_text' ); ?>" name="<?php echo $this->get_field_name( 'subscribe_text' ); ?>"><?php echo stripslashes(htmlspecialchars(( $instance['subscribe_text'] ), ENT_QUOTES)); ?></textarea>
        </p>
		
		<p>
            <label for="<?php echo $this->get_field_id('feedid'); ?>">
               <?php _e('Feedburner ID:', 'uck'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('feedid'); ?>" name="<?php echo $this->get_field_name('feedid'); ?>" type="text" value="<?php echo $feedid; ?>" />
        </p>

<?php
    }

	function update($new_instance, $old_instance) {
        $instance=$old_instance;

        $instance['title'] = strip_tags($new_instance['title']);
		$instance['feedid'] = $new_instance['feedid'];
        $instance['subscribe_text'] = $new_instance['subscribe_text'];
        return $instance;

    }

	function widget($args, $instance) {
	
		extract($args);

		$title = apply_filters('widget_title', $instance['title']);
		if ( empty($title) ) $title = false;
		$feedid = $instance['feedid'];	
		$subscribe_text = $instance['subscribe_text'];	
		echo $before_widget;
	
		if($title){
			echo $before_title;
			echo $title; 
			echo $after_title;
		}
		
        ?>
			<p><?php echo $subscribe_text; ?></p>
            <form class="widget_rss_subscription" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo $feedid ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
               <div class="form-item form-remove">
					<input type="text" class="uck-subscribe-email" placeholder="Mail adresiniz" name="email"/>
				</div>
				<div class="form-actions form-remove">
					<input type="submit" value="Gönder">
				</div>	
                <input type="hidden" value="<?php echo $feedid ?>" name="uri"/>
                <input type="hidden" name="loc" value="en_US"/>
                
            </form>
        
        <?php
        		
		echo $after_widget;
		
	}

}
?>